« MediaWiki:Common.css » : différence entre les versions

De Wiki Dragon Quest
Aucun résumé des modifications
Annulation des modifications 97667 de Tigali (discussion)
Balise : Annulation
 
(62 versions intermédiaires par 2 utilisateurs non affichées)
Ligne 1 : Ligne 1 :
/** Met en italique les redirections dans Special:Allpages et Special:Watchlist **/
/** Met en italique les redirections dans Special:Allpages et Special:Watchlist **/
.allpagesredirects, .watchlistredir { font-style: italic;  }
.allpagesredirects, .watchlistredir { font-style: italic;  }
/* Possibilité de ne pas mettre le titre sous une vidéo */
.no-caption .article-thumb figcaption {
display:none;
}
/*
* PAGE D'ACCUEIL
* Ancienne version
*/
/* Boîte de accueil */
.fond-boite {
background-image: url('//wikidragonquest.fr/images/8/8a/Fond_carte.png');
border: 2px solid black;
padding: 7px;
margin-top: 6px;
}
/* En-tête de boîte de l'accueil */
.fond-entete {
background-image: url('//wikidragonquest.fr/images/9/94/Fond-entete.png');
font-size: 150%;
color: white;
border-radius: 0.1em;
padding: 5px 10px;
}
/* Tour de boîte de l'accueil */
.tour-boite {
border: 2px solid #BBB;
margin-top: 6px;
padding: 7px;
background-color: #333;
}
.maincategories {
display: flex;
flex-wrap: wrap;
justify-content: center;
}


/*
/*
Ligne 51 : Ligne 8 :


.box_accueil {
.box_accueil {
padding-top: 5px;
padding-top: 3px;
margin-top: 10px;
margin-top: 10px;
border-radius: 3px;
border-radius: 3px;
Ligne 58 : Ligne 15 :


.box_accueil * {
.box_accueil * {
padding: 5px;
padding: 7px;
}
}
.titre_box_accueil {
border: 1px solid blue;
text-align: center;
border-radius: 3px;
font-weight: bold;
font-size: 150%;
}/*bientôt obs*/


.box_accueil .header {
.box_accueil .header {
padding:1em;
padding:0.4em;
border-radius: 3px 3px 0 0;
border-radius: 3px 3px 0 0;
color: white;
color: white;
font-weight: bold;
text-align: center;
text-align: center;
background: blue;
background: #49C6DE;
font-size:120%;
font-size:150%;
margin-left: 3px;
margin-right: 3px;
}
 
#header_portails {
background: #7CDE54;
}
}


Ligne 85 : Ligne 39 :


#actu {
#actu {
min-width: 65%;
width: 65%;
flex-grow: 1;
flex-grow: 1;
}
}
Ligne 91 : Ligne 45 :
#autre {
#autre {
flex-grow: 1;
flex-grow: 1;
width: 30%;
}
}


#flex_portails { /*AFFECTÉ PAR UNE MEDIAQUERY*/
#flex_portails { /*AFFECTÉ PAR UNE MEDIAQUERY*/
display: flex;
display: flex;
flex-flow: row nowrap;
flex-flow: row wrap;
}
 
#portails #flex_portails {
justify-content: center;
}
}


#flex_portails p {
#flex_portails p {
justify-content: space-around;
flex-grow: 1;
flex-grow: 1;
}
}
Ligne 115 : Ligne 74 :


#actu {
#actu {
margin-right: 5px;
margin-right: 8px;
background-color: #E3FFFC;
background-color: #DAF9FF;
}
 
#autre {
background-color: #EDFCFF;
}
}


#partenariats {
#partenariats {
background-color: #E3FFFC;
background-color: #DAF9FF;
}
 
#partenariats #flex_partenariats {
padding-right:40px;
padding-left:40px;
}
}


#portails {
#portails {
background-color: #F8FFFE;
background-color: #E4FFD0;
}
}


Ligne 139 : Ligne 107 :
display:flex;
display:flex;
flex-flow: column nowrap;
flex-flow: column nowrap;
}
#actu {
width: 100%;
}
#autre {
width: 100%;
flex-grow: 1;
}
}
}
}


/*pourtour des infoboxes, bientôt legacy*/
.infoboxb {
  font-size: 89%;
  width: 300px;
  background-color: #EFEFEF;
  border: solid 1px #888;
  float: right;
  margin-left: 10px;
}


/*standard de couleur de fond, de bordure,  
/*standard de couleur de fond, de bordure,  
Ligne 158 : Ligne 125 :
   border: solid 1px #888;  
   border: solid 1px #888;  
   border-radius: 3px;
   border-radius: 3px;
}
/*standard à navboxes*/
.navbox {
width: 60%;
font-size: 89%;
}
}


Ligne 176 : Ligne 149 :
.infobox .header {
.infobox .header {
padding:1em;
padding:1em;
font-size:120%;
}
.navbox .header {
font-size:120%;
font-size:120%;
}
}
Ligne 265 : Ligne 242 :
}
}


/*-----------PURGATOIRE------------*/
.cville {
/*trucs obs à garder ou jeter, c'est selon*/
background: #DFCEA0;
}
 
.clivre {
background: #B8B88D;
}


/*
.cobjet {
* Style par défaut des infoboxes utilisant InfoboxBuilder (ajouts)
background: #D1EA45;
* À retirer dès que ces styles ne seront plus utilisés !
}
*/


.default-infobox-main-image img {  
.captitude {
  margin-left: auto;
background: #32E5FA;
  margin-right: auto;
}
}


.default-infobox-main-image-caption, .default-infobox-image-caption { text-align: center; }
.cequipement {
background: #B2DCDD;
}


.default-infobox-split-label-left, .default-infobox-split-label-right {
.carme {
  color: #3C3C3C;
background: #DEA493;
  text-align:center;
}
}


.default-infobox-split-value-left, .default-infobox-split-value-right { text-align: center; }
.cattribut {
background: #D21E02;
}


.default-infobox-footer {
.cmerch {
  padding-top: 0.75rem;
background: #6120AF;
  text-align: center;
}
}


/*Trucs à XFusio*/
/*Trucs à XFusio*/
Ligne 334 : Ligne 317 :
table.csort th {
table.csort th {
background: #AE4ABE;
background: #AE4ABE;
}
table.cmonstre th {
background: #00CC00;
}
table.cboss th {
background: #9C0C0C;
}
table.cpersonnage th {
background: #046380;
}
table.cregion th {
background: #298900;
}
table.cdonjon th {
background: #927D6A;
}
table.cchanson th {
background: #A67E2E;
}
table.calbum th {
background: #663E10;
}
table.cfilm th {
background: #000000;
}
table.cepisode th {
background: #444444;
}
table.cgens th {
background: #FF9300;
}
table.cjeu th {
background: #B1BBCE;
}
table.ccompetence th {
background: #B74000;
}
table.calchimie th {
background: #E9B813;
}
table.cville th {
background: #DFCEA0;
}
table.clivre th {
background: #B8B88D;
}
table.cobjet th {
background: #D1EA45;
}
table.captitude th {
background: #32E5FA;
}
table.cequipement th {
background: #B2DCDD;
}
table.carme th {
background: #DEA493;
}
table.cattribut th {
background: #D21E02;
}
table.cmerch th {
background: #6120AF;
}
/*---------------------------------------PURGATOIRE----------------------------------*/
/*trucs obs à garder ou jeter, c'est selon*/
/*
* Style par défaut des infoboxes utilisant InfoboxBuilder (ajouts)
* À retirer dès que ces styles ne seront plus utilisés !
*/
.default-infobox-main-image img {
  margin-left: auto;
  margin-right: auto;
}
.default-infobox-main-image-caption, .default-infobox-image-caption { text-align: center; }
.default-infobox-split-label-left, .default-infobox-split-label-right {
  color: #3C3C3C;
  text-align:center;
}
.default-infobox-split-value-left, .default-infobox-split-value-right { text-align: center; }
.default-infobox-footer {
  padding-top: 0.75rem;
  text-align: center;
}
/*pourtour des infoboxes, legacy*/
.infoboxb {
  font-size: 89%;
  width: 300px;
  background-color: #EFEFEF;
  border: solid 1px #888;
  float: right;
  margin-left: 10px;
}
/*
* PAGE D'ACCUEIL
* Ancienne version
*/
/* Boîte de accueil */
.fond-boite {
background-image: url('//wikidragonquest.fr/images/8/8a/Fond_carte.png');
border: 2px solid black;
padding: 7px;
margin-top: 6px;
}
/* En-tête de boîte de l'accueil */
.fond-entete {
background-image: url('//wikidragonquest.fr/images/9/94/Fond-entete.png');
font-size: 150%;
color: white;
border-radius: 0.1em;
padding: 5px 10px;
}
/* Tour de boîte de l'accueil */
.tour-boite {
border: 2px solid #BBB;
margin-top: 6px;
padding: 7px;
background-color: #333;
}
.maincategories {
display: flex;
flex-wrap: wrap;
justify-content: center;
}
/* Possibilité de ne pas mettre le titre sous une vidéo - on n'a plus de vidéos pour l'instant après l'indépendance */
.no-caption .article-thumb figcaption {
display:none;
}
}